### Method

# GcrUi ViewerWidget set_display_name

#### Declaration [src]

    void
    gcr_viewer_widget_set_display_name (
      GcrViewerWidget* self,
      const gchar* display_name
    )

#### Description [src]

Set the display name for data being displayed. Once explicitly set it will no longer be calculated automatically by loading data.

Used as a hint when displaying a title for the data, but may be overridden by the parsed data.

Sets property | `GcrUi.ViewerWidget:display-name`

#### Parameters

`display_name`

  Type: `const gchar*`

  The display name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.